This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 199254 - Review Request: perl-perlmenu
Review Request: perl-perlmenu
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 199108
  Show dependency treegraph
 
Reported: 2006-07-18 09:34 EDT by Parag AN(पराग)
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-05 23:19:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Proposed spec (1.31 KB, text/plain)
2006-07-19 13:35 EDT, Steven Pritchard
no flags Details

  None (edit)
Description Parag AN(पराग) 2006-07-18 09:34:47 EDT
Spec URL: http://people.redhat.com/pnemade/perl-perlmenu/perl-perlmenu.spec
SRPM URL: http://people.redhat.com/pnemade/perl-perlmenu/perl-perlmenu-4.0-1.fc5.src.rpm

Description: Perl library module for curses-based menus & data-entry templates.
Comment 1 Parag AN(पराग) 2006-07-18 09:38:27 EDT
When i ran rpmlint on Binary RPM i got
E: perl-perlmenu no-binary
W: perl-perlmenu siteperl-in-perl-module /usr/lib/perl5/site_perl/5.8.8/menuutil.pl
W: perl-perlmenu siteperl-in-perl-module /usr/lib/perl5/site_perl/5.8.8/perlmenu.pm

I am totally new to Perl packaging and when i checked perl packaging wiki
page(http://fedoraproject.org/wiki/Packaging/Perl), it did not help me.
This is my first perl package.
Comment 2 Paul Howarth 2006-07-18 09:42:21 EDT
Use the perl template spec from fedora-rpmdevtools as a starting point instead.
Comment 3 Steven Pritchard 2006-07-18 19:59:20 EDT
Or use cpanspec, which is in Extras.  (Although wow, this thing is packaged
*really* poorly.  cpanspec dies fairly spectacularly on it.)

Since that isn't going to work, here are some useful suggestions:

> Source0:       
http://mirror.gnowledge.org/cpan/authors/id/S/SK/SKUNZ/perlmenu.v%{version}.tar.gz

Don't hard-code a mirror.  Use www.cpan.org.

> install -d $RPM_BUILD_ROOT{%{perl_sitelib},%{_usrsrc}/examples/%{name}-%{version}}
> install -m 644 perlmenu.pm menuutil.pl $RPM_BUILD_ROOT%{perl_sitelib}
> %{perl_sitelib}/*

s/sitelib/vendorlib/g

I don't think %{_usrsrc} is ever an appropriate place for anything.  Try just
including "%doc examples" in your %files section.

If you "find examples -type f -exec chmod 644 {} \;" in %prep, rpm shouldn't
pick up any dependencies from the example scripts either.
Comment 4 Parag AN(पराग) 2006-07-19 00:30:03 EDT
as per your suggestions i added foolowing line with examples
%doc FAQ MENUUTIL_DOC MENU_DOC README RELEASE_NOTES TO_DO COPYING examples
but i got 
cp: cannot stat `examples': No such file or directory
how can i solve this?
Comment 5 Parag AN(पराग) 2006-07-19 00:58:49 EDT
I checked for above error, it will not work as source itself does not contain
any examples directory. So i tried to overwirte docdir but it failed with
error: magic_file(ms,
"/var/tmp/perl-perlmenu-4.0-1.fc5-root-root/usr/share/doc/perl-perlmenu-4.0/examples")
failed: mode 040755 cannot open
`/var/tmp/perl-perlmenu-4.0-1.fc5-root-root/usr/share/doc/perl-perlmenu-4.0/examples'
(No such file or directory)
rpmbuild: rpmfc.c:1251: rpmfcClassify: Assertion `ftype != ((void *)0)' failed.
Aborted

My Updated files
Spec URL: http://people.redhat.com/pnemade/perl-perlmenu/perl-perlmenu.spec
SRPM URL:
http://people.redhat.com/pnemade/perl-perlmenu/perl-perlmenu-4.0-1.fc5.src.rpm
Comment 6 Steven Pritchard 2006-07-19 13:35:34 EDT
Created attachment 132698 [details]
Proposed spec

* Add BuildArch: noarch.
* Create "examples" directory and move the examples to it.
* Fix permissions, script interpreter on examples.
Comment 7 Steven Pritchard 2006-07-19 13:38:30 EDT
Oh, one other tip...  Be sure to update Release and your changelog as you make
changes during a review.
Comment 8 Parag AN(पराग) 2006-07-19 23:45:31 EDT
Thnaks for helping for solving examples directory problem. I saw the SPEC file
and understood that i have to do mkdir examples under %prep.
Updates:-
Spec URL: http://people.redhat.com/pnemade/perl-perlmenu/perl-perlmenu.spec
SRPM URL:
http://people.redhat.com/pnemade/perl-perlmenu/perl-perlmenu-4.0-2.fc5.src.rpm

Comment 9 Parag AN(पराग) 2006-07-31 00:37:10 EDT
I need review of this package so that in case if something is remaining in this
package i can correct/add it.
Comment 10 Ralf Corsepius 2006-07-31 01:19:37 EDT
Some comments:

- IMO, menuutil.pl should not be installed to %{perl_vendorlib}
  It's not a perl module, it's not being used by perlmenu.pm, so I don't see much   
  reason to install it. The examples use it as 'require "./menuutil.pl";' so
  might make some sense to install it to .../examples.

- create_menu.pl doesn't use VENDORDIR nor OPTIMIZE. Passing them to
  create_menu.pl is meaningless.
Comment 11 Parag AN(पराग) 2006-07-31 01:33:45 EDT
ok will change the menuutil.pm installation path to examples directory and
remove VENDORDIR and OPTIMIZE parameteres to create_menu.pl
Comment 12 Parag AN(पराग) 2006-07-31 01:42:26 EDT
I updated package and new package have following links
Spec URL: http://people.redhat.com/pnemade/perl-perlmenu/perl-perlmenu.spec
SRPM URL:
http://people.redhat.com/pnemade/perl-perlmenu/perl-perlmenu-4.0-3.fc5.src.rpm

Comment 13 Kevin Fenzi 2006-08-31 22:27:44 EDT
Hey Parag. 

I would be happy to take a look at reviewing this and potentially sponsoring 
you, as long as none of the other folks above would like to dive in with a 
review/sponsorship... 

Look for a review later tonight or tomorrow unless someone else wants to step 
in first. 
Comment 14 Kevin Fenzi 2006-08-31 22:53:49 EDT
OK - Package name
OK - Spec file matches base package name.
OK - Meets Packaging Guidelines.
See below - License(LGPL or Artistic)
See below - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
b931859ed581970f3fb05420316b39d3  perlmenu.v4.0.tar.gz
b931859ed581970f3fb05420316b39d3  perlmenu.v4.0.tar.gz.1
OK - Package compiles and builds on at least one arch.
OK - BuildRequires correct
OK - Package owns all the directories it creates.
OK - Package has no duplicate files in %files.
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Spec has consistant macro usage.
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package doesn't own any directories other packages own.
OK - No rpmlint output.
SHOULD Items:
OK - Should include License or ask upstream to include it.
OK - Should build in mock.

Issues:

1. The license seems to have changed to LGPL or artistic, not GPL.
You have:
License:        GPL or Artistic
Comment 15 Parag AN(पराग) 2006-08-31 23:02:53 EDT
Thanks for reviwing this package but i didn't get what you said in Issues?
I checked upstream source contains both License file included in tarball so i
kept both names under License tag.
Comment 16 Kevin Fenzi 2006-08-31 23:06:29 EDT
The COPYING file and one of the Licenses they say this package is released 
under is the:
GNU LIBRARY GENERAL PUBLIC LICENSE (LGPL)

NOT the GENERAL PUBLIC LICENSE (GPL)... 

You need to change "GPL" to "LGPL" in your License tag. 
Does that make sense?
Comment 17 Parag AN(पराग) 2006-08-31 23:24:37 EDT
Ohh sorry my mistake here is updated URL's
Spec URL: http://people.redhat.com/pnemade/perl-perlmenu/perl-perlmenu.spec
SRPM URL:
http://people.redhat.com/pnemade/perl-perlmenu/perl-perlmenu-4.0-4.fc6.src.rpm
Comment 18 Kevin Fenzi 2006-09-01 12:28:16 EDT
The package from comment #17 looks good to me. 

I see you have closed some of your other submissions. Sorry for the delay in 
getting you sponsored. Do you still want to maintain this package (and your 
other open submissions)? I hope so. Note that your (not closed) kmod 
submissions were likely stalled because kmod's are still in flux. Several of 
your other packages seem to have been pretty complicated to package, making 
them difficult for a first time packager. 

I know you have done a large amount of reviews on pending packages, and
it seems to me that you are at the point where you understand the guidelines 
pretty well.

I'm ready to APPROVE this package and sponsor you if you are still 
interested... let me know.
Comment 19 Parag AN(पराग) 2006-09-02 00:07:42 EDT
Thanks Kevin,
   Because my other package gutenprint is already in a better position and that
package required this package, it will not be good to close this bug. I was
thinking to close this bug yesterday only like i did others. But i saw already
many peoples facing problems with existing gimp-print package. I helped some
peoples also by recommending gutenprint and got response from them that this is
awesome package and its really really needed here as FC is my favorite distro.
Therefore i submitted package here.
   So i will continue to have maintainership for this and gutenprint package.
But will not going to reopen my other bugs at all.
Comment 20 Kevin Fenzi 2006-09-02 00:32:46 EDT
Ok. I think thats unfortunate, but I'm glad you are willing to maintain this 
and gutenprint (once it's approved). Perhaps down the road you will be 
interested in trying to get some more packages imported. :)

In any case, this package is APPROVED. 
I would be happy to sponsor you. 

Can you continue the process from step 10 at: 
http://www.fedoraproject.org/wiki/Extras/Contributors

If you have any questions, please feel free to contact me via email or catch me 
on the #fedora-extras irc channel (nick: nirik). 

I can probibly take a look at gutenprint later in the weekend, unless someone 
else does so first.

Don't forget to close this bug as NEXTRELEASE once it's been imported and 
built. 
Comment 21 Parag AN(पराग) 2006-09-04 00:47:33 EDT
I am not able to access CVS at all so may be this bug will be in pending state.
Once i got CVS access and i will import package i will CLOSE this bug

Note You need to log in before you can comment on or make changes to this bug.